%define module	construct

Name:		python-%{module}
Version:	2.5.5
Release:	%mkrel 1
Summary:	A powerful declarative parser/builder for binary data
License:	MIT
Group:		Development/Python
URL:		http://construct.readthedocs.org
Source0:	https://pypi.io/packages/source/c/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

%package -n	python3-%{module}
Summary:	A powerful declarative parser/builder for binary data
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 2.5.5-1.mga6
+ Revision: 1079839
- new version: 2.5.5

* Sun Apr 10 2016 daviddavid <daviddavid> 2.5.2-1.mga6
+ Revision: 1000083
- imported package python-construct

